body {
  font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', 'Roboto', 'Oxygen', 'Ubuntu',
    'Cantarell', 'Fira Sans', 'Droid Sans', 'Helvetica Neue', sans-serif;
  -moz-osx-font-smoothing: grayscale;
  -webkit-font-smoothing: antialiased;
  margin: 0;
  height: 100vh;
  overflow: hidden;
}

code {
  font-family: source-code-pro, Menlo, Monaco, Consolas, 'Courier New', monospace;
}

.page {
  height: 100vh;
  overflow: hidden;
}

.page-container {
  height: calc(100vh - 52px);
  overflow: auto;
}

.no-text-selection {
  user-select: none;
}

.no-right-radius {
  border-bottom-right-radius: 0 !important;
  border-top-right-radius: 0 !important;
}

.no-left-radius {
  border-bottom-left-radius: 0 !important;
  border-top-left-radius: 0 !important;
}

$primary: #ff3860;
$lighter-hover: #fafafa;
$default-hover: #313341;
$darker-hover: darken(#2a394f, 5%);
$menu-bg: #21222c;
$menu-highlight: #25a0e9;

.with-hover {
  border-left: 4px solid transparent;

  .visible-with-hover {
    display: none;

    button:hover {
      background-color: $darker-hover;
    }
  }

  &.selected {
    background-color: $default-hover;
    // border-bottom: 1px solid #21222c;
    border-left: 4px solid $menu-highlight;
  }

  &.is-small {
    border-bottom: 1px solid transparent;
  }

  &:hover {
    background-color: $default-hover;

    .visible-with-hover {
      display: flex;
    }
  }

  &.issue {
    cursor: pointer;

    &:hover {
      background-color: $lighter-hover;
    }
  }
}

.box-shadow {
  box-shadow: 0 0.5em 1em -0.125em rgba(10, 10, 10, 0.1), 0 0 0 1px rgba(10, 10, 10, 0.02);
}

.issue-tabs:first-of-type {
  margin-left: 1rem;
}

div[role='tablist'] > button {
  &:hover {
    border-bottom: 2px solid $darker-hover;
  }
}

.async-heatmap {
  svg {
    max-height: 120px;
  }

  .update-complete {
    fill: $primary;
  }
}

// I love fixing component library styles
.badge {
  display: flex !important;
  align-items: center;
}

.title {
  text-transform: capitalize;
}

// Overrides to force a button to act as a label
.void-button {
  cursor: initial;

  &:focus {
    outline: none !important;
    box-shadow: none !important;
  }

  &:active,
  &:hover {
    background-color: initial !important;
  }
}

.is-skipped {
  opacity: 0.6;
}

.workflow-checkbox > div {
  &:not([aria-hidden='true']) {
    flex: 1;
  }
}

code {
  padding: 2px 4px;
  color: #822727;
  background-color: #fed7d7;
  border-radius: 4px;
  font-size: 0.8rem !important;
}

.menu-container {
  max-height: calc(100vh - 56px);
}

.menu {
  overflow-y: auto;
  overflow-x: hidden;

  &::-webkit-scrollbar {
    width: 0.5em;
  }

  &::-webkit-scrollbar-track {
    background-color: $menu-bg;
    padding: 4px 0;
  }

  &::-webkit-scrollbar-thumb {
    background-color: #44444a;
    outline: 1px solid #44444a;
    border-radius: 4px;
  }
}
